## Interface Swift_Plugins_Reporter

(line 19)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Plugins/Reporter.php

##### The Reporter plugin sends pass/fail notification to a Reporter.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:
RESULT_FAIL
RESULT_PASS

#### RESULT_FAIL = 0x10 (line 26)

##### The recipient could not be accepted

#### RESULT_PASS = 0x01 (line 23)

##### The recipient was accepted for delivery

## Method Detail

Summary:
void notify (Swift_Mime_Message $message, string $address, int $result)

#### Method notify (line 34)

#### void notify( Swift_Mime_Message $message, string $address, int $result)

##### Notifies this ReportNotifier that $address failed or succeeded.

#### Parameters

- Swift_Mime_Message $message:
- string $address:
- int $result: from RESULT_PASS, RESULT_FAIL

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:28 +0000 by phpDocumentor 1.4.3